Package org.kapott.hbci.swift

# Class DTAUS

java.lang.Object
org.kapott.hbci.swift.DTAUS

public class DTAUS extends Object

Hilfsklasse zum Erzeugen von DTAUS-Datensätzen für die Verwendung in Sammelüberweisungen und Sammellastschriften. Diese Klasse kann verwendet werden, um den DTAUS-Datenstrom zu erzeugen, der für Sammellastschriften und -überweisungen als Job-Parameter angegeben werden muss.

In einem DTAUS-Objekt werden ein oder mehrere Transaktionen gespeichert. Dabei müssen alle Transaktionen entweder Lastschriften oder Überweisungen sein. Außerdem wird für alle Transaktionen das gleiche "Auftraggeberkonto" angenommen (bei Überweisungen also das Belastungskonto, bei Lastschriften das Konto, auf das der Betrag gutgeschrieben wird).

In der Regel wird zunächst ein `DTAUS`-Objekt erzeugt. Dazu wird der Konstruktor `DTAUS(Konto,int)` verwendet, womit gleichzeit das zu verwendende Auftraggeberkonto und der Typ des Sammelauftrages (`TYPE_CREDIT` für Sammelüberweisungen, `TYPE_DEBIT` für Sammellastschriften) festgelegt wird. Anschließend können beliebig viele `DTAUS.Transaction`-Objekte erzeugt werden, welche jeweils eine Transaktion darstellen. Jedes so erzeugte Objekt kann mit `addEntry(DTAUS.Transaction)` zum Sammelauftrag hinzugefügt werden. Die Methode `toString()` liefert schließlich den so erzeugten Sammelauftrag im DTAUS-Format.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`DTAUS.Transaction`
Daten einer einzelnen Transaktion, die in einen Sammelauftrag übernommen werden soll.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`CURR_DM`
TODO: doku fehlt
`static final byte`
`CURR_EUR`
TODO: doku fehlt
`static final int`
`TYPE_CREDIT`
Typ des Sammelauftrages: Sammelüberweisung
`static final int`
`TYPE_DEBIT`
Typ des Sammelauftrages: Sammellastschrift

## Constructor Summary

Constructors
Constructor
Description
`DTAUS(String dtaus)`
TODO: doku fehlt
`DTAUS(Konto myAccount, int type)`
Entspricht `DTAUS(myAccount,type,null)`
`DTAUS(Konto myAccount, int type, Date execdate)`
Erzeugen eines neuen Objektes für die Aufnahme von Sammelaufträgen.

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(DTAUS.Transaction entry)`
Hinzufügen eines einzelnen Auftrages zu diesem Sammelauftrag.
`byte`
`getCurr()`
TODO: doku fehlt
`ArrayList<DTAUS.Transaction>`
`getEntries()`
TODO: doku fehlt
`Date`
`getExecdate()`
TODO: doku fehlt
`Konto`
`getMyAccount()`
TODO: doku fehlt
`String`
`getReferenceId()`
Gibt den Wert von Feld Nr 10 ("Referenznummer des Einreichers") zurück
`int`
`getType()`
TODO: doku fehlt
`void`
`setReferenceId(String referenceId)`
Setzt das Feld Nr 10 ("Referennummer des Einreichers")
`String`
`toString()`
Rückgabe des Sammelauftrages im DTAUS-Format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_CREDIT

public static final int TYPE_CREDIT
Typ des Sammelauftrages: Sammelüberweisung

See Also:
  - Constant Field Values

### TYPE_DEBIT

public static final int TYPE_DEBIT
Typ des Sammelauftrages: Sammellastschrift

See Also:
  - Constant Field Values

### CURR_DM

public static final byte CURR_DM
TODO: doku fehlt

See Also:
  - Constant Field Values

### CURR_EUR

public static final byte CURR_EUR
TODO: doku fehlt

See Also:
  - Constant Field Values

## Constructor Details

### DTAUS

public DTAUS(Konto myAccount, int type)
Entspricht `DTAUS(myAccount,type,null)`

### DTAUS

public DTAUS(Konto myAccount, int type, Date execdate)
Erzeugen eines neuen Objektes für die Aufnahme von Sammelaufträgen. `myAccount` ist dabei das "eigene" Konto, welches bei Sammelüberweisungen als Belastungskonto und bei Sammellastschriften als Gutschriftkonto verwendet wird. Von dem `Konto`-Objekt müssen mindestens die Felder `blz`, `number`, `curr` und `name` richtig gesetzt sein.
`execdate` gibt das Datum an, wann dieser Sammelauftrag ausgeführt werden soll. ACHTUNG: `execdate` wird zur Zeit noch nicht ausgewertet!

Parameters:
  `myAccount` - Gegenkonto für die enthaltenen Aufträge
  `type` -
  - `TYPE_CREDIT` für Sammelüberweisungen,
  - `TYPE_DEBIT` für Sammellastschriften
  `execdate` - Ausführungsdatum für diesen Sammelauftrag; `null`, wenn kein Ausführungsdatum gesetzt werden soll (sofortige Ausführung)

### DTAUS

public DTAUS(String dtaus)
TODO: doku fehlt

## Method Details

### addEntry

public void addEntry(DTAUS.Transaction entry)
Hinzufügen eines einzelnen Auftrages zu diesem Sammelauftrag. Das `DTAUS.Transaction`-Objekt, welches hier als Argument benötigt wird, muss mit '`dtaus.new Transaction()`' erzeugt werden ('`dtaus`' ist dabei das aktuelle `DTAUS`-Objekt).

Parameters:
  `entry` - Hinzuzufügender Einzelauftrag

### getCurr

public byte getCurr()
TODO: doku fehlt

### getEntries

public ArrayList<DTAUS.Transaction> getEntries()
TODO: doku fehlt

### getExecdate

public Date getExecdate()
TODO: doku fehlt

### getMyAccount

public Konto getMyAccount()
TODO: doku fehlt

### getType

public int getType()
TODO: doku fehlt

### setReferenceId

public void setReferenceId(String referenceId)
Setzt das Feld Nr 10 ("Referennummer des Einreichers")

### getReferenceId

public String getReferenceId()
Gibt den Wert von Feld Nr 10 ("Referenznummer des Einreichers") zurück

### toString

public String toString()
Rückgabe des Sammelauftrages im DTAUS-Format. Der Rückgabewert dieser Methode kann direkt als Parameterwert für den Parameter '`data`' bei Sammelaufträgen verwendet werden (für eine Parameterbeschreibung siehe Paketbeschreibung des Paketes `org.kapott.hbci.GV`).

Overrides:
  `toString` in class `Object`
Returns:
  DTAUS-Datenstrom für diesen Sammelauftrag